$(document).ready(function(){
	
	$(".phone_me_head").append("<div class='please_phone'>Введите номер телефона</div>");
	$(".submenu_button").removeAttr("href");
	

	 
	 
	$(".submenu_button").click(function(){
		$(".submenu_button").not(this).removeClass("active");
		if($(this).hasClass("active")){
			$(this).removeClass("active");
			$(this).parent().find(".submenu").hide();
			$(".meter").find(".menu_up").remove();
		}
		else{
			$(this).addClass("active");
			$(this).parent().find(".submenu").show();
			$(".menu_up").clone().appendTo(".meter");
			$(".meter").find(".menu_up").find(".submenu").remove();
			$(document).mouseup(function (e){ // событие клика по веб-документу
				var div = $(".submenu"); // тут указываем ID элемента
				if (!div.is(e.target) // если клик был не по нашему блоку
					&& div.has(e.target).length === 0) { // и не по его дочерним элементам
					if($(".submenu").is(":visible")){
						$(".submenu_button").removeClass("active");
						div.hide();
					}
					else{
					}
					div.hide(); // скрываем его
					$(".meter").find(".menu_up").remove();
				}
			});
		}
	});

	$(".sub_cat").hover(function(){
		$(".sub_cat").not(this).removeClass("active");
		$(".sub_cat_content").removeClass("visible");
		$(this).addClass("active");
		$(this).find(".sub_cat_content").addClass("visible");
	});
	
	$(".categories").find(".sub_cat").append('<div class="arrow"></div>');
	
	$(".sub_cat").hover(function(){
	  $(".sub_cat").not(this).removeClass("active");
	  $(".sub_cat").not(this).removeClass("test_on");
	  $(".sub_cat_content").removeClass("visible");
	  $(this).addClass("active");
	  $(this).find(".sub_cat_content").addClass("visible");

	  if( $(this).height() > 20 ) 
	  { 
	   $(this).addClass('big');
	  };
	  },
	  function(){
		// $(this).find('span').removeClass('test_on');
	  });
	
	//$(".modal_wrapper_login").find(".for_btn_position").find("button").click(function(){
	//	if($(".modal_wrapper_login").find("label:first").find("input").val().length == 0){
	//		$(".modal_wrapper_login").find("label:first").find("input").addClass("error");
	//	}
	//	if($(".modal_wrapper_login").find("label:first").next().find("input").val().length == 0){
	//		$(".modal_wrapper_login").find("label:first").next().find("input").addClass("error");
	//	}
	//});
	//$("input").focus(function(){
	//	$(this).removeClass('error');
	//})
   //
   //$(".head_up_cell.srch").find(".srch_head_desc").find("a").click(function(){
   //		var link_text = $(this).text();
   //		$(".head_up_cell.srch").find("input").val(link_text);
   //});
   //
	//   $('#phone_num').keydown(function(e){
	//    $('.please_phone').addClass('visible');
	//    if (e.which == 48) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 49) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 50) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 51) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 52) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 53) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 54) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 55) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 56) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 57) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 96) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 97) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 98) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 99) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 100) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 101) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 102) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 103) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 104) {$('.please_phone').removeClass('visible');}
	//    else if (e.which == 105) {$('.please_phone').removeClass('visible');}
	//    else{$('.please_phone').removeClass('visible');}
   //
	//    if(e.which == 13){
	//    	$(".phone_me_head").find("button").click();
	//    }
	//	});
	//	$(".modal_window").keydown(function(e){
	//		if(e.which == 13){
	//    		$(this).find("button").click();
	//    	}
	//	});
	//	$(".busket_modal_wrapper").find(".modal_close_btn").click(function(){
	//		$(".busket_modal_wrapper").fadeOut(200);
	//	});
   //
	//	$(".modal_window").find('form').submit(function() {
   //             return false;
   //         });
});
